#include <MemoryGame.h>

MemoryGame *game = new MemoryGame();

ISR(TIMER1_COMPA_vect) {
  // Interrupt code
  game->g_sleepPeriod = game->g_sleepPeriod + 1;
  game->setGreenValue(game->getGreenValue() - 30);
}

void setup() {
  game->init();
}

void loop() {
  game->draw();
  game->update();
  game->input();
}